igeo

## Class IDoubleR

- java.lang.Object
- - igeo.IParameterObject
  - - igeo.IDoubleR

- All Implemented Interfaces:
    IArithmeticVal<IDoubleI,IDoubleI>, IDoubleI, IDoubleOp, IParameter, IReferenceParameter, IScalar, ISubobject, IVal

      public class IDoubleR
      extends IParameterObject
      implements IDoubleI, IReferenceParameter

  Reference class of double (1 dimensional vector) to be used as IParameterObject.
  Author:
    Satoru Sugihara

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IDoubleR.Abs`
    `static class` | `IDoubleR.ACos`
    `static class` | `IDoubleR.Add`
    `static class` | `IDoubleR.ASin`
    `static class` | `IDoubleR.ATan`
    `static class` | `IDoubleR.ATan2`
    `static class` | `IDoubleR.Cos`
    `static class` | `IDoubleR.Deg`
    `static class` | `IDoubleR.Div`
    `static class` | `IDoubleR.Eq`
    `static class` | `IDoubleR.Exp`
    `static class` | `IDoubleR.FromInt`
    `static class` | `IDoubleR.Inv`
    `static class` | `IDoubleR.Log`
    `static class` | `IDoubleR.Mul`
    `static class` | `IDoubleR.Neg`
    `static class` | `IDoubleR.Pow`
    `static class` | `IDoubleR.Rad`
    `static class` | `IDoubleR.Sin`
    `static class` | `IDoubleR.Sq`
    `static class` | `IDoubleR.Sqrt`
    `static class` | `IDoubleR.Sub`
    `static class` | `IDoubleR.Tan`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected IDoubleOp` | `op`

    - ### Fields inherited from class igeo.IParameterObject

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IDoubleR(double v)`
    `IDoubleR(IDoubleOp v)`
    `IDoubleR(IIntegerI v)`
    `IDoubleR(IServerI s, double v)`
    `IDoubleR(IServerI s, IDoubleOp v)`
    `IDoubleR(IServerI s, IIntegerI v)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IDoubleI` | `abs()`
    `IDoubleI` | `acos()`
    `IDoubleR` | `add(double u)`
    `IDoubleR` | `add(IDoubleI u)`
    `IDoubleI` | `asin()`
    `IDoubleI` | `atan()`
    `IDoubleI` | `atan2(double x2)`
    `IDoubleI` | `atan2(IDoubleI x2)`
    `IDoubleI` | `cos()`
    `IDoubleR` | `cp()` alias of dup()
    `IDoubleR` | `cp(double v)` duplicate and add
    `IDoubleR` | `cp(IDoubleI v)` duplicate and add
    `IDoubleI` | `deg()`
    `IDoubleR` | `div(double u)`
    `IDoubleR` | `div(IDoubleI u)`
    `IDoubleR` | `dup()`
    `boolean` | `eq(double v)`
    `boolean` | `eq(double v, double resolution)`
    `boolean` | `eq(IDoubleI v)`
    `boolean` | `eq(IDoubleI v, double resolution)`
    `boolean` | `eq(ISwitchE e, IDoubleI v)`
    `boolean` | `eq(ISwitchE e, IDoubleI v, double resolution)`
    `IBoolR` | `eq(ISwitchR r, IDoubleI v)`
    `IBoolR` | `eq(ISwitchR r, IDoubleI v, IDoubleI resolution)`
    `IDoubleI` | `exp()`
    `IDouble` | `get()`
    `IDoubleR` | `getX()`
    `IDoubleR` | `inv()`
    `IDoubleI` | `log()`
    `IDoubleR` | `mul(double u)`
    `IDoubleR` | `mul(IDoubleI u)`
    `IDoubleR` | `neg()`
    `IDoubleOp` | `operator()`
    `IDoubleI` | `pow(double n)`
    `IDoubleI` | `pow(IDoubleI n)`
    `IDoubleI` | `rad()`
    `IDoubleR` | `set(double u)`
    `IDoubleR` | `set(IDoubleI u)`
    `IDoubleR` | `set(IIntegerI u)`
    `IDoubleI` | `sin()`
    `IDoubleI` | `sq()`
    `IDoubleI` | `sqrt()`
    `IDoubleR` | `sub(double u)`
    `IDoubleR` | `sub(IDoubleI u)`
    `IDoubleI` | `tan()`
    `double` | `x()`
    `IDoubleR` | `zero()`

    - ### Methods inherited from class igeo.IParameterObject

      `createObject, parent, parent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### op

          protected IDoubleOp op

  - ### Constructor Detail

    - #### IDoubleR

          public IDoubleR(double v)

    - #### IDoubleR

          public IDoubleR(IDoubleOp v)

    - #### IDoubleR

          public IDoubleR(IIntegerI v)

    - #### IDoubleR

          public IDoubleR(IServerI s,
                          double v)

    - #### IDoubleR

          public IDoubleR(IServerI s,
                          IDoubleOp v)

    - #### IDoubleR

          public IDoubleR(IServerI s,
                          IIntegerI v)

  - ### Method Detail

    - #### x

          public double x()

      Specified by:
        `x` in interface `IDoubleI`
      Specified by:
        `x` in interface `IDoubleOp`
      Returns:
        primitive value

    - #### get

          public IDouble get()

      Specified by:
        `get` in interface `IDoubleI`
      Specified by:
        `get` in interface `IDoubleOp`
      Specified by:
        `get` in interface `IParameter`
      Returns:
        fixed value but in wrapper class

    - #### getX

          public IDoubleR getX()

      Specified by:
        `getX` in interface `IDoubleI`
      Returns:
        generic parameter of the value (either of entity class or reference class)

    - #### operator

          public IDoubleOp operator()

      Specified by:
        `operator` in interface `IReferenceParameter`

    - #### dup

          public IDoubleR dup()

      Specified by:
        `dup` in interface `IArithmeticVal<IDoubleI,IDoubleI>`
      Specified by:
        `dup` in interface `IDoubleI`
      Returns:
        duplicated instance

    - #### cp

          public IDoubleR cp()

      alias of dup()
      Specified by:
        `cp` in interface `IArithmeticVal<IDoubleI,IDoubleI>`
      Specified by:
        `cp` in interface `IDoubleI`

    - #### cp

          public IDoubleR cp(double v)

      duplicate and add
      Specified by:
        `cp` in interface `IDoubleI`

    - #### cp

          public IDoubleR cp(IDoubleI v)

      duplicate and add
      Specified by:
        `cp` in interface `IDoubleI`

    - #### set

          public IDoubleR set(double u)

      Specified by:
        `set` in interface `IDoubleI`

    - #### set

          public IDoubleR set(IDoubleI u)

      Specified by:
        `set` in interface `IArithmeticVal<IDoubleI,IDoubleI>`
      Specified by:
        `set` in interface `IDoubleI`

    - #### set

          public IDoubleR set(IIntegerI u)

      Specified by:
        `set` in interface `IDoubleI`

    - #### zero

          public IDoubleR zero()

      Specified by:
        `zero` in interface `IArithmeticVal<IDoubleI,IDoubleI>`
      Specified by:
        `zero` in interface `IDoubleI`

    - #### add

          public IDoubleR add(IDoubleI u)

      Specified by:
        `add` in interface `IArithmeticVal<IDoubleI,IDoubleI>`
      Specified by:
        `add` in interface `IDoubleI`

    - #### add

          public IDoubleR add(double u)

      Specified by:
        `add` in interface `IDoubleI`

    - #### sub

          public IDoubleR sub(IDoubleI u)

      Specified by:
        `sub` in interface `IArithmeticVal<IDoubleI,IDoubleI>`
      Specified by:
        `sub` in interface `IDoubleI`

    - #### sub

          public IDoubleR sub(double u)

      Specified by:
        `sub` in interface `IDoubleI`

    - #### mul

          public IDoubleR mul(IDoubleI u)

      Specified by:
        `mul` in interface `IArithmeticVal<IDoubleI,IDoubleI>`
      Specified by:
        `mul` in interface `IDoubleI`

    - #### mul

          public IDoubleR mul(double u)

      Specified by:
        `mul` in interface `IDoubleI`

    - #### div

          public IDoubleR div(IDoubleI u)

      Specified by:
        `div` in interface `IArithmeticVal<IDoubleI,IDoubleI>`
      Specified by:
        `div` in interface `IDoubleI`

    - #### div

          public IDoubleR div(double u)

      Specified by:
        `div` in interface `IDoubleI`

    - #### neg

          public IDoubleR neg()

      Specified by:
        `neg` in interface `IDoubleI`

    - #### inv

          public IDoubleR inv()

      Specified by:
        `inv` in interface `IDoubleI`

    - #### abs

          public IDoubleI abs()

      Specified by:
        `abs` in interface `IDoubleI`

    - #### pow

          public IDoubleI pow(double n)

      Specified by:
        `pow` in interface `IDoubleI`

    - #### pow

          public IDoubleI pow(IDoubleI n)

      Specified by:
        `pow` in interface `IDoubleI`

    - #### sq

          public IDoubleI sq()

      Specified by:
        `sq` in interface `IDoubleI`

    - #### sqrt

          public IDoubleI sqrt()

      Specified by:
        `sqrt` in interface `IDoubleI`

    - #### exp

          public IDoubleI exp()

      Specified by:
        `exp` in interface `IDoubleI`

    - #### log

          public IDoubleI log()

      Specified by:
        `log` in interface `IDoubleI`

    - #### sin

          public IDoubleI sin()

      Specified by:
        `sin` in interface `IDoubleI`

    - #### cos

          public IDoubleI cos()

      Specified by:
        `cos` in interface `IDoubleI`

    - #### tan

          public IDoubleI tan()

      Specified by:
        `tan` in interface `IDoubleI`

    - #### asin

          public IDoubleI asin()

      Specified by:
        `asin` in interface `IDoubleI`

    - #### acos

          public IDoubleI acos()

      Specified by:
        `acos` in interface `IDoubleI`

    - #### atan

          public IDoubleI atan()

      Specified by:
        `atan` in interface `IDoubleI`

    - #### atan2

          public IDoubleI atan2(double x2)

      Specified by:
        `atan2` in interface `IDoubleI`

    - #### atan2

          public IDoubleI atan2(IDoubleI x2)

      Specified by:
        `atan2` in interface `IDoubleI`

    - #### deg

          public IDoubleI deg()

      Specified by:
        `deg` in interface `IDoubleI`

    - #### rad

          public IDoubleI rad()

      Specified by:
        `rad` in interface `IDoubleI`

    - #### eq

          public boolean eq(double v)

      Specified by:
        `eq` in interface `IDoubleI`

    - #### eq

          public boolean eq(IDoubleI v)

      Specified by:
        `eq` in interface `IDoubleI`

    - #### eq

          public boolean eq(ISwitchE e,
                            IDoubleI v)

      Specified by:
        `eq` in interface `IDoubleI`

    - #### eq

          public IBoolR eq(ISwitchR r,
                           IDoubleI v)

      Specified by:
        `eq` in interface `IDoubleI`

    - #### eq

          public boolean eq(double v,
                            double resolution)

      Specified by:
        `eq` in interface `IDoubleI`

    - #### eq

          public boolean eq(IDoubleI v,
                            double resolution)

      Specified by:
        `eq` in interface `IDoubleI`

    - #### eq

          public boolean eq(ISwitchE e,
                            IDoubleI v,
                            double resolution)

      Specified by:
        `eq` in interface `IDoubleI`

    - #### eq

          public IBoolR eq(ISwitchR r,
                           IDoubleI v,
                           IDoubleI resolution)

      Specified by:
        `eq` in interface `IDoubleI`